/*
 *  AFS for BeOS - The native AtheOS file-system for BeOS
 *  Copyright (C) 2001 Ronny Schoebel
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include <interface/Window.h>
#include <support/String.h>
#include <interface/TextControl.h>

#define INIT_WINDOW_WIDTH	250
#define INIT_WINDOW_HEIGHT	110

#define TITLE_X				7
#define TITLE_Y				6
#define TITLE_WIDTH			( INIT_WINDOW_WIDTH - ( 2 * TITLE_X ) )
#define TITLE_HEIGHT		16
#define TITLE_TEXT			"AtheOS File System"

#define LINE_X				5
#define LINE_Y				( TITLE_Y + 20 )
#define LINE_WIDTH			( INIT_WINDOW_WIDTH - ( 2 * LINE_X ) )

#define VOLUME_NAME_X		10
#define VOLUME_NAME_Y		( LINE_Y + 10 )
#define VOLUME_NAME_WIDTH	( INIT_WINDOW_WIDTH - ( 2 * VOLUME_NAME_X ) )
#define VOLUME_NAME_HEIGHT	16
#define VOLUME_NAME_TEXT	"Volume Name"

#define BUTTON_WIDTH		70
#define BUTTON_HEIGHT		24
#define BUTTON_OK_X			( INIT_WINDOW_WIDTH - BUTTON_WIDTH - 10 )
#define BUTTON_OK_Y			( INIT_WINDOW_HEIGHT - BUTTON_HEIGHT - 10 )
#define BUTTON_OK_TEXT		"Initialize"

#define BUTTON_CANCEL_X		( BUTTON_OK_X - BUTTON_WIDTH - 10 )
#define BUTTON_CANCEL_Y		( BUTTON_OK_Y )
#define BUTTON_CANCEL_TEXT	"Cancel"

enum InitWindowMessages { MSG_CANCEL = 256, MSG_OK, MSG_VOLUME_NAME };


class InitializeWindow : public BWindow
{
public:
	
	InitializeWindow( BRect frame, BMessage* pMessage );
	
	void			MessageReceived( BMessage* pMessage );
	status_t		Initialize();
	
private:

	BString			fDeviceName;
	int32			fnBlockSize;
	BTextControl*	fpVolumeName;
	BMessage*		fpMessage;
};
