/*
 *  AFS for BeOS - The native AtheOS file-system for BeOS
 *  Copyright (C) 2001 Ronny Schoebel
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Useful macros to simulate some of the AtheOS functionality

#ifndef _AFS_MACROS_H
#define _AFS_MACROS_H

#include "afsbuild.h"

#define TOUCH(x) ((void)(x))

#define PAGE_MASK	(~(B_PAGE_SIZE-1))

#define SEM_LOCK(s)		acquire_sem(s)
#define SEM_UNLOCK(s)	release_sem(s)

#define S_IRWXUGO	(S_IRWXU|S_IRWXG|S_IRWXO)

#define	kassertw( expr ) do {if ( !(expr) ) 							\
  DPRINTF( "Assertion failure (" #expr ")\n"							\
	  "file: " __FILE__ " function: %s() line: %d\n%p\n%p\n%p\n%p\n%p\n%p\n", 		\
	  __FUNCTION__, __LINE__, __builtin_return_address(0), __builtin_return_address(1),	\
	  __builtin_return_address(2), __builtin_return_address(3), __builtin_return_address(4), __builtin_return_address(5)  ); } while(0)


#endif /* _AFS_MACROS_H */
