/*
 *  AFS for BeOS - The native AtheOS file-system for BeOS
 *  Copyright (C) 2001 Ronny Schoebel
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _AFS_SUPPORT_H_
#define _AFS_SUPPORT_H_

#include <SupportDefs.h>
#include <unistd.h>

typedef int32 atomic_t;

status_t lock_removable_device( int nDev, bool bState );
status_t get_device_flags( int nDev, uint32* pnFlags );
int write_logged_blocks( int nDev, off_t nBlockNum, const void* pBuffer, uint nCount, int nBlockSize,
	void (*pFunc)(off_t nBlocknum, size_t nBlocks, void *pArg), void* pArg );

gid_t getfsgid(void);
uid_t getfsuid(void);

#endif // _AFS_SUPPORT_H_
